// USART functions

#include <htc.h>

void USART_MyInit(void)

{
	//Comm Setup

	TXEN  = 0;						//reset transmitter
	BRGH  = 0;                   	//low baudrate
	BRG16 = 0;
	
	SPBRG = ((8000000/9600)/ 64) - 1;
	SPBRGH = 0;
	SYNC  = 0;						//asynchronous
	SPEN  = 1;						//enable serial port pins
	TX9   = 0;						//8-bit transmission
	CREN  = 0;						//disable reception for now
	SREN  = 0;						//no effect
	TXIE  = 0;						//disable tx interrupts
	RCIE  = 0;						//disable rx interrupts
	RX9   = 0;						//8-bit reception
	TXEN  = 0;						//reset transmitter
	TXEN  = 1;						//enable the transmitter
}

void SendByteSerially(unsigned char Byte)  //Writes a character to the serial port
{
	while(!TXIF);  //wait for previous transmission to finish
	TXREG = Byte;
}


void SendLCD(const unsigned char* st)
{
	while(*st)
		SendByteSerially(*st++);
}